Loading...
Searching...
No Matches
BALL::TSurface< T >::Triangle Class Reference

`#include <BALL/MATHS/surface.h>`

## Public Member Functions

bool | operator== (const Triangle &triangle) const
bool | operator!= (const Triangle &triangle) const

## Public Attributes

Index | v1
Index | v2
Index | v3

## Detailed Description

template<typename T>
class BALL::TSurface< T >::Triangle

Definition at line 39 of file surface.h.

## Member Function Documentation

## operator!=()

template<typename T>

bool BALL::TSurface< T >::Triangle::operator!= | ( | const Triangle & | triangle | ) | const

inline

Definition at line 52 of file surface.h.

## operator==()

template<typename T>

bool BALL::TSurface< T >::Triangle::operator== | ( | const Triangle & | triangle | ) | const

inline

Definition at line 46 of file surface.h.

## Member Data Documentation

## v1

template<typename T>

Index BALL::TSurface< T >::Triangle::v1

Definition at line 42 of file surface.h.

## v2

template<typename T>

Index BALL::TSurface< T >::Triangle::v2

Definition at line 43 of file surface.h.

## v3

template<typename T>

Index BALL::TSurface< T >::Triangle::v3

Definition at line 44 of file surface.h.